.hotline-wrapper {
  position: fixed;
  bottom: 5%;
  right: 0;
  z-index: 99999;
}

/* Nút chính (mở menu) */
.hotline-main-btn {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 22px;
  cursor: pointer;
  animation: pulse 2s infinite;
  transition: all 0.3s ease;
  background-color: #c82929;
  position: absolute;
  bottom: 10%;
  right: 30px;
}

/* Các nút con */
.hotline-circle {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 10px;
  opacity: 0;
  visibility: hidden;
  transform: translateY(0);
  transition: all 0.4s ease;
}
.hotline-circle.active{
  opacity: 1;
  visibility: visible;
}

/* Nút con */
.addon-btn {
  display: flex;
  align-items: center;
  gap: 5px;
}
.hot-btn {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-decoration: none;
  animation: pulse 2s infinite;
  transition: all 0.3s ease;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
}
.hot-btn i{
  font-size: 22px;
}
.hot-btn-text {
  padding: 8px;
  background-color: #fff;
  border-radius: 30px;
  font-size: 12px;
  font-weight: 600;
  white-space: nowrap;
}

.hot-btn.maps {
  background: #ff0000;
}
.hot-btn.zalo {
  background-image: url("data:image/png;base64,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") !important;
  background: #0068ff; /* Xanh zalo */
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  z-index: 1000;
}
.hot-btn.phone{
  background-color: #c82929;
}
.hot-btn.viber {
  background: #441748;
}
.hot-btn.whatsapp {
  background: #25d366;
}

.hot-btn:hover {
  transform: scale(1.1);
}
/* Nút X đóng */
.hotline-close-btn {
  width: 40px;
  height: 40px;
  background: #fff;
  color: #333;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
  cursor: pointer;
  font-size: 18px;
  transition: all 0.3s ease;
}
/* scroll top */
.fa-chevron-up:before {
  display: none;
}

#bttop {
  z-index: 999;
  position: fixed;
  border-radius: 50%;
  bottom: 115px;
  color: rgb(255, 255, 255);
  font-size: 20px;
  opacity: 1;
  text-align: center;
  width: 40px;
  height: 40px;
  line-height: 35px;
  left: 25px;
  transition: 0.3s;
  cursor: pointer;
  background-color: #000000;
  bottom: 5%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#bttop::before {
  content: url("images/arrow-up.svg");
  width: 40px;
  height: 40px;
  display: inline-block;
  transform: translateY(-10);
  transition: transform 0.3s ease;
}
#bttop:hover {
  opacity: 1;
}

/* popup */

.kw-popup {
  position: fixed;
  left: 50%;
  top: 50%;
  box-sizing: border-box;
  z-index: 9999999;
  display: none;
  transform: translateX(-50%) translateY(-50%);
  -webkit-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
}

.kw-popup .close-popup {
  padding: 4px 12px;
  color: #fff;
  position: absolute;
  right: 1px;
  top: 1px;
  font-size: 25px;
  opacity: 0.8;
  cursor: pointer;
}

.kw-popup .close-popup:hover {
  opacity: 1;
}

.kw-popup-overlay {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
  z-index: 999999;
  display: none;
}

.kw-popup-inner {
  float: left;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}

.close-popup-note {
  position: absolute;
  left: 0;
  width: 100%;
  text-align: center;
  z-index: 99999;
  color: #fff;
  font-size: 11px;
  top: 0px;
}

.close-popup-note span {
  font-size: 13px;
}
@keyframes pulse {
  0% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(224, 67, 50, 0.7);
  }
  70% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(224, 67, 50, 0);
  }
  100% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(224, 67, 50, 0);
  }
}

@media only screen and (max-width: 800px) {
  .hotline-wrapper {
    width: 100%;
    bottom: 0;
    left: 0;
    right: unset;
    background-color: #fff;
    opacity: .9;
    box-shadow: 0 0 5px 5px rgba(220, 220, 220, .4);
    padding: 6px;
  }
  .hotline-circle {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
  }
  .addon-btn{
    width: calc(20% - 10px);
  }
  .hot-btn{
    width: 100%;
    height: auto;
    aspect-ratio: 1/1;
    object-fit: cover;
  }
  .hot-btn-text{
    display: none;
  }
  #bttop{
    bottom: 10%;
  }
  .kw-popup .close-popup {
    font-size: 28px;
  }

  /* #phonering-zalo-phoneIcon {
        bottom: 5px;
        top: auto;
        left: 5px;
    }

    #phonering-alo-phoneIcon {
        bottom: 5px;
        top: auto;
        left: 150px;
    }
    #phonering-mess-phoneIcon {
        bottom: 5px;
        top: auto;
        left: 75px;
    } */
}

@media only screen and (max-width: 500px) {
  .kw-popup .close-popup {
    font-size: 20px;
  }
}
